<?php
class Noticias_Newswire_Feed
{
	var $posts = array();

	public function __construct($url)
	{
		$cached_repository = new Noticias_Newswire_Feed_Cached_Repository();
		$json = $cached_repository->get_feeds($url);
		if ($json === FALSE || $json == '[]') {
			return;
		}
		$posts_api = json_decode($json);
		foreach ($posts_api as $post_api) {
			$post = new Noticias_Newswire_Post();
			$post->date = empty($post_api->date) ? '' : (string) $post_api->date;
			$post->ts = empty($post_api->date) ? '' : strtotime($post_api->date);
			$post->author = empty($post_api->author) ? '' : (string) $post_api->author;
			$post->category  = empty($post_api->category) ? '' : (string) $post_api->category;
			$post->link  = empty($post_api->link) ? '' : (string) $post_api->link;
			$post->title = empty($post_api->title) ? '' : (string) $post_api->title;
			$post->thumbnail  = empty($post_api->thumbnail) ? '' : (string) $post_api->thumbnail;
			$post->text  = empty($post_api->content) ? '' : (string) $post_api->content;
			$post->summary = empty($post_api->summary) ? '' : (string) $post_api->summary;
			$this->posts[] = $post;
		}
	}
}
